package com.muyu.market.server.controller;

import com.muyu.market.admain.SelectByPhone;
import com.muyu.market.server.util.SelectPhoneUtil;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping("/party")
@Tag(name = "查询手机号",description = "订单查询")
public class PartyController {

    @PostMapping("/selparty")
    @Operation(summary = "查询手机号",description = "查询手机号")
    public SelectByPhone selparty(@RequestParam("phoneNumber") String phoneNumber){

//        SelectByPhone one = partyService.getOne(new LambdaQueryWrapper<>() {{
//            eq(t -> DaShuJu.getMobile(t), phoneNumber);
//        }});

        return SelectPhoneUtil.queryMobileLocation(phoneNumber);
    }



    //测试
    public static void main(String[] args) {
        SelectPhoneUtil.queryMobileLocation("15066755856");
    }
}
