package com.muyu.market.server.remote;


import com.muyu.market.admain.request.RealNameRequest;
import com.muyu.market.admain.response.RealNameResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;



@FeignClient(value = "cloud-ali")
public interface AliRemoteService {

    @PostMapping("/ali/real/name")
    RealNameResponse realName(RealNameRequest realNameReq);
}
