package com.muyu.market.server.remote;


import com.muyu.market.admain.request.RealNameRequest;
import com.muyu.market.admain.response.RealNameResponse;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


@FeignClient(value = "cloud-juhe")
public interface JuHeRemoteService {



    @PostMapping("/juhe/idcardSelect")
    @Operation(summary = "查询身份证",description = "查询身份证")
    public RealNameResponse realName(@RequestBody RealNameRequest realNameRequest);


}
