package com.muyu.market.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.market.admain.Myapi;
import com.muyu.market.admain.SysUser;

import java.math.BigDecimal;

public interface SysUserService extends IService<SysUser> {

    /**
     * 充值用户余额
     *
     * @param sysUser
     * @return void
     */
    Integer updSysUserMoney(SysUser sysUser);
    /**
     * 充值用户余额
     *
     * @param
     * @return void
     */
    Integer paySysUserMoney(BigDecimal price);

    /**
     * 回显用户余额
     *
     * @param userId
     * @return SysUser
     */
    SysUser selectByUserId(Integer userId);
}
